#include <gccore.h>
#include <ogcsys.h>

u16 new_pad=0, old_pad=0, now_pad=0;

void readpad(void)
{
	PADStatus pad[4];
	static int n=0;

	PAD_Read(pad);
	// kmg
	// Analog pad state
	if (pad[0].stickY < -65) pad[0].button |= PAD_BUTTON_DOWN;  // DOWN
	if (pad[0].stickY >  65) pad[0].button |= PAD_BUTTON_UP;    // UP
	if (pad[0].stickX < -65) pad[0].button |= PAD_BUTTON_LEFT;  // LEFT
	if (pad[0].stickX >  65) pad[0].button |= PAD_BUTTON_RIGHT; // RIGHT

	now_pad = pad[0].button;
	new_pad = now_pad & ~old_pad;
	if(old_pad==now_pad){
		n++;
		if(n>=25){
			new_pad=now_pad;
			n = 20;
		}
	}else{
		n=0;
		old_pad = now_pad;
	}
}
